Package com.google.android.exoplayer2.ext.mediasession

## Interface MediaSessionConnector.QueueEditor

- All Superinterfaces:
    `MediaSessionConnector.CommandReceiver`
  All Known Implementing Classes:
    `TimelineQueueEditor`
  Enclosing class:
    MediaSessionConnector

      public static interface MediaSessionConnector.QueueEditor
      extends MediaSessionConnector.CommandReceiver

  Handles media session queue edits.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onAddQueueItem​(Player player, android.support.v4.media.MediaDescriptionCompat description)` | See `MediaSessionCompat.Callback.onAddQueueItem(MediaDescriptionCompat description)`.
    `void` | `onAddQueueItem​(Player player, android.support.v4.media.MediaDescriptionCompat description, int index)` | See `MediaSessionCompat.Callback.onAddQueueItem(MediaDescriptionCompat description, int index)`.
    `void` | `onRemoveQueueItem​(Player player, android.support.v4.media.MediaDescriptionCompat description)` | See `MediaSessionCompat.Callback.onRemoveQueueItem(MediaDescriptionCompat description)`.

    - ### Methods inherited from interface com.google.android.exoplayer2.ext.mediasession.MediaSessionConnector.CommandReceiver

      `onCommand`

- - ### Method Detail

    - #### onAddQueueItem

          void onAddQueueItem​(Player player,
                              android.support.v4.media.MediaDescriptionCompat description)

      See `MediaSessionCompat.Callback.onAddQueueItem(MediaDescriptionCompat description)`.

    - #### onAddQueueItem

          void onAddQueueItem​(Player player,
                              android.support.v4.media.MediaDescriptionCompat description,
                              int index)

      See `MediaSessionCompat.Callback.onAddQueueItem(MediaDescriptionCompat description, int index)`.

    - #### onRemoveQueueItem

          void onRemoveQueueItem​(Player player,
                                 android.support.v4.media.MediaDescriptionCompat description)

      See `MediaSessionCompat.Callback.onRemoveQueueItem(MediaDescriptionCompat description)`.